%bcond_without perl_Module_Install_CheckLib_enable_optional_test

Name:           perl-Module-Install-CheckLib
Version:        0.14
Release:    1%{?dist}
Summary:        Module::Install extension to check that a library is available
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-CheckLib
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-Install-CheckLib-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  glibc-common
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Config)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Install::AutoLicense)
BuildRequires:  perl(Module::Install::GithubMeta)
BuildRequires:  perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::ReadmeFromPod)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  perl(base)
BuildRequires:  perl(Devel::CheckLib) >= 0.7
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Install::Base) >= 0.99
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Capture::Tiny) >= 0.05
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::More) >= 0.47
%if %{with perl_Module_Install_CheckLib_enable_optional_test}
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
%endif
Requires:       perl(Devel::CheckLib) >= 0.7
Requires:       perl(Module::Install::Base) >= 0.99

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Capture::Tiny|Module::Install::Base|Test::More)\\)$

%description
Module::Install::CheckLib is a Module::Install extension that integrates
Devel::CheckLib so that CPAN authors may stipulate which particular C
library and its headers they want available and to exit the Makefile.PL
gracefully if they aren't.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Test-Harness
Requires:       perl(Capture::Tiny) >= 0.05
Requires:       perl(Test::More) >= 0.47

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -p1 -n Module-Install-CheckLib-%{version}
rm -r ./inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST
%if %{without perl_Module_Install_CheckLib_enable_optional_test}
rm t/99_pod*
perl -i -ne 'print $_ unless m{^t/99_pod}' MANIFEST
%endif
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
iconv -f ISO-8859-1 -t UTF-8 < README > README.utf8
touch -r README README.utf8
mv README.utf8 README

%install
%{make_install}
%{_fixperms} %{buildroot}/*
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
%if %{with perl_Module_Install_CheckLib_enable_optional_test}
rm %{buildroot}%{_libexecdir}/%{name}/t/99_pod*
%endif
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-1
- initial build
